#include "LobbyCharactersSubPresenter.h"
#include "EMoriPreviewVariant.h"
#include "ELobbyCharactersMenuState.h"
#include "ECurrencyType.h"
#include "AnimationPreviewRequest.h"

class UAnimationPreviewSubsystem;

void ULobbyCharactersSubPresenter::PlayMoriAnimation(const EMoriPreviewVariant moriPreviewVariant)
{

}

void ULobbyCharactersSubPresenter::OnZoomCharmClicked()
{

}

void ULobbyCharactersSubPresenter::OnSubTabSelected(ELobbyCharactersMenuState selectedTabId)
{

}

void ULobbyCharactersSubPresenter::OnPlaySecondMoriClicked()
{

}

void ULobbyCharactersSubPresenter::OnPlayMoriClicked()
{

}

void ULobbyCharactersSubPresenter::OnNotEnoughCurrencyModalButtonClicked(const ECurrencyType currencyType)
{

}

void ULobbyCharactersSubPresenter::OnItemUnlockClicked(ECurrencyType currencyType)
{

}

void ULobbyCharactersSubPresenter::OnItemEquipClicked()
{

}

void ULobbyCharactersSubPresenter::OnItemAvailabilityBannerClicked()
{

}

void ULobbyCharactersSubPresenter::OnCustomizationSelectAllClicked()
{

}

void ULobbyCharactersSubPresenter::OnCustomizationEquipAllClicked()
{

}

void ULobbyCharactersSubPresenter::OnAnimationPreviewComplete(UAnimationPreviewSubsystem* animationPreviewSubsystem, const FAnimationPreviewRequest& request, bool completedSuccessfully)
{

}

ULobbyCharactersSubPresenter::ULobbyCharactersSubPresenter()
{

}
